Subject: RE: Beta-19 and configurations....
From: [email-masked] (Gary Fuehrer)

11 Feb 1998 15:07:49 -0800
Message-ID: <6CC63E2E4FC1D011A2A700609716117A266FB2.cygnus.gnu-win32@seawolf>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

While I, too, completely agree with what Christopher writes, I also have
had the same experience that Guy complains about.  I e-mailed several
bug fixes but got no response as to what happened to them.  Not
particularly satisfying.  How did the Linux community handle
contributions?

Gary

> -----Original Message-----
> From:	Guy Gascoigne - Piggford [SMTP:[email-masked]]
> Sent:	Tuesday, February 10, 1998 12:36 PM
> To:	[email-masked]; [email-masked]
> Subject:	Re: Beta-19 and configurations....
> 
> At 01:43 PM 2/10/98 GMT, Christopher Faylor wrote:
> >This suggestion is like 99% of the, um, stuff on this mailing list.
> It
> >is full of ideas for "somebody else" to implement.  This list is full
> of
> >managers but there are very very very few workers.
> >
> >Since you mentioned Linux, allow me to point out that the model that
> >worked very well for Linux does not seem to be happening here.  In
> Linux
> >development there was a slow ramping up as people came on board,
> >contributing their talents to the project in terms of *code* and
> actual
> >useful work.  If a Makefile needed to be rewritten, it was rewritten.
> >If a script was required, someone wrote it.  If a feature was needed
> >somebody added it.
> >
> >In the cygwin model, people contribute their opinions.  If a Makefile
> >needs to be rewritten, somebody complains that the Makefile is not
> >working as it should.  If a script is required, somebody is amazed
> that
> >it is not already in existence.  If a feature is needed, somebody
> claims
> >that they are now moving to OpenNT because it is missing.
> >
> >I wish I understood why this is.  It would be nice to have an active
> >community like Linux which had a core of helpful and knowledgable
> people
> >willing to pitch in and fix things.  Alas, that does not seem to be
> the
> >case here.
> 
> 
> Part of this could be that when we ask how we can contribute, we get
> no
> response!  I've asked at least twice how I could pass on my set of
> changes
> to bash so that they could be further intergrated (or canned if they
> aren't
> appropriate). Total response - NIL.  After a while you just give up,
> fix it
> for yourself and resign yourself to having to fix it again later.
> 
> Guy
> 
> 
> -- 
> Guy Gascoigne - Piggford ([email-masked])
> Software Engineer, Informix Software, Inc. (Portland, Oregon)
> 
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".